﻿using System.Diagnostics;
using EventStore.Client;

var stream_name = "Document:134";

var settings = EventStoreClientSettings.Create("esdb://localhost:2113?tls=false");
var client = new EventStoreClient(settings);

var timer1 = new Stopwatch(); 
timer1.Start();

var result_1 = client.ReadStreamAsync(
  Direction.Forwards,
  stream_name,
  StreamPosition.Start
);

await foreach (var @event in result_1) {
  Console.WriteLine(@event.Event.EventType);
}
timer1.Stop();

var timer2 = new Stopwatch(); 

timer2.Start();

var result_2 = client.ReadStreamAsync(
  Direction.Forwards,
  stream_name,
  StreamPosition.Start
);

await foreach (var @event in result_2) {
  Console.WriteLine(@event.Event.EventType);
}

timer2.Stop();

// timer1 seems to consistently produce slower results - cold start, probably?
Console.WriteLine(timer1.Elapsed.TotalMilliseconds.ToString());
Console.WriteLine(timer2.Elapsed.TotalMilliseconds.ToString());

